View Javadoc

    1   /********************************************************************************
    2    * Copyright (c) 2004 IBM Corporation and others.
    3    * All rights reserved.   This program and the accompanying materials
    4    * are made available under the terms of the Common Public License v1.0
    5    * which accompanies this distribution, and is available at
    6    * http://www.eclipse.org/legal/cpl-v10.html
    7    *
    8    * Contributors:
    9    * IBM - Initial API and implementation
    10   ******************************************************************************/
    11
    12
    13  package org.codehaus.groovy.classgen;
    14
    15  import java.util.List;
    16
    17  import org.codehaus.groovy.ast.ASTNode;
    18  import org.codehaus.groovy.syntax.RuntimeParserException;
    19
    20
    21  /***
    22   * RuntimeIncompleteClassException
    23   *
    24   */
    25  public class RuntimeIncompleteClassException extends RuntimeParserException {
    26
    27      /***
    28       * @param a_message
    29       * @param a_node
    30       */
    31      public RuntimeIncompleteClassException(List a_classnames, ASTNode a_node) {
    32          super("Incomplete class: does not implement abstract methods: " + a_classnames, a_node);
    33      }
    34
    35  }